Skip to main content
POST
Activate Tier Structure

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

id
string
required

Unique tier structure identifier.

Response

Activated tier structure

A tier structure resource as returned by the API.

id
string
required

Unique tier structure identifier.

name
string
required

Display name.

Maximum string length: 200
type
enum<string>
required

Tiering model type.

Available options:
POINT_BALANCE,
POINT_EARNED
card_definition_id
string
required

ID of the linked card definition.

metadata
object
required

Custom key-value metadata.

status
enum<string>
required

Current lifecycle status.

Available options:
DRAFT,
ACTIVE,
INACTIVE,
DELETED
created_at
string<date-time>
required

ISO 8601 creation timestamp.

object
enum<string>
required

Object type discriminator.

Available options:
tier_structure
point_earned
object | null

Point-earned tracking configuration. Present when type is POINT_EARNED.

expiration
object | null

Tier qualification expiration settings.

downgrade
object | null

Downgrade behaviour settings.

updated_at
string<date-time> | null

ISO 8601 last-update timestamp.

Last modified on May 19, 2026